# Class PvaluesList

java.lang.Object
org.snpeff.gsa.ScoreList
org.snpeff.gsa.PvaluesList

public class PvaluesList extends ScoreList
A list of pvalues (i.e. values in the range [0, 1])

Author:
  pcingola

## Nested Class Summary

### Nested classes/interfaces inherited from class ScoreList

`ScoreList.ScoreSummary`

## Field Summary

### Fields inherited from class ScoreList

`SIGNIFICANCE_LEVEL_95`

## Constructor Summary

Constructors
Constructor
Description
`PvaluesList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(double score)`
Add a p-value to the list
`protected double`
`getDefaultValue()`

### Methods inherited from class ScoreList

`avg, avgLargestTop, avgSmallestTop, cdf, cdfUpper, chiSquareCDFComplementary, getGeneId, getScore, max, min, pValueBonferroni, pValueFdr, pValueFisherChi2, pValueSimes, pValueZScore, quantile, score, setGeneId, size, sum, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PvaluesList

public PvaluesList()

## Method Details

### add

public void add(double score)
Add a p-value to the list

Overrides:
  `add` in class `ScoreList`
Parameters:
  `score` -

### getDefaultValue

protected double getDefaultValue()

Overrides:
  `getDefaultValue` in class `ScoreList`